| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
cv::sfm::libmv_ReconstructionOptions Class Reference
Structure From Motion » Simple Pipeline

Data structure describing the reconstruction options. More...

`#include <opencv2/sfm/simple_pipeline.hpp>`

Collaboration diagram for cv::sfm::libmv_ReconstructionOptions:

## Public Member Functions
| libmv_ReconstructionOptions (const int _keyframe1=1, const int _keyframe2=2, const int _refine_intrinsics=1, const int _select_keyframes=1, const int _verbosity_level=-1)

## Public Attributes
int | keyframe1
int | keyframe2
int | refine_intrinsics
int | select_keyframes
int | verbosity_level

## Detailed Description

Data structure describing the reconstruction options.

Parameters

  _keyframe1 | first keyframe used in order to initialize the reconstruction.
  _keyframe2 | second keyframe used in order to initialize the reconstruction.
  _refine_intrinsics | camera parameter or combination of parameters to refine.
  _select_keyframes | allows to select automatically the initial keyframes. If 1 then autoselection is enabled. If 0 then is disabled.
  _verbosity_level | verbosity logs level for Glog. If -1 then logs are disabled, otherwise the log level will be the input integer.

## Constructor & Destructor Documentation

## ◆ libmv_ReconstructionOptions()

cv::sfm::libmv_ReconstructionOptions::libmv_ReconstructionOptions | ( | const int | _keyframe1 = 1,
|  | const int | _keyframe2 = 2,
|  | const int | _refine_intrinsics = 1,
|  | const int | _select_keyframes = 1,
|  | const int | _verbosity_level = -1 )
| inline

## Member Data Documentation

## ◆ keyframe1

int cv::sfm::libmv_ReconstructionOptions::keyframe1

## ◆ keyframe2

int cv::sfm::libmv_ReconstructionOptions::keyframe2

## ◆ refine_intrinsics

int cv::sfm::libmv_ReconstructionOptions::refine_intrinsics

## ◆ select_keyframes

int cv::sfm::libmv_ReconstructionOptions::select_keyframes

## ◆ verbosity_level

int cv::sfm::libmv_ReconstructionOptions::verbosity_level

The documentation for this class was generated from the following file:

- opencv2/sfm/simple_pipeline.hpp